%define upstream_name    Array-Compare
%define upstream_version 2.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for comparing arrays
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description 
If you have two arrays and you want to know if they are the same or different,
then Array::Compare will be useful to you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot}

%check
./Build test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Array
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 363138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 2.20.0-1.mga2
+ Revision: 182550
- update to 2.02

* Thu Jan 20 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 25648
- fix specs
- imported package perl-Array-Compare

